;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; @file_comments
; scan an Oasis file (version < 2.5)
;
; @categories know what is inside
;
; @param FILENAME {in}{required} 
; The file name
;
; @restrictions 
; List the variable names included in a Oasis file
;
; @examples
; IDL> scanoasis,'grids_orca_t106'
;
; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
;                            July 01, 2002
; @version $Id$
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------

PRO scanoasis, filename
;
  compile_opt idl2, strictarrsubs
;

   openr, unit,filename , /F77_UNFORMATTED, /GET_LUN, /SWAP_IF_LITTLE_ENDIAN $
    , error=err
   if err ne 0 then begin
      print,!err_string
      return
   endif

   char8 = '12345678'
   WHILE NOT EOF(unit) DO BEGIN
      readu, unit, char8
      print,  char8
      readu, unit
   ENDWHILE

   free_lun,unit
   return
end
